# Record TCefJsDialogHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefJsDialogHandler = record`

## Description

Implement this structure to handle events related to JavaScript dialogs. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefJsDialogHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_jsdialog_handler_capi.h">CEF source file: /include/capi/cef_jsdialog_handler_capi.h (cef_jsdialog_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_jsdialog: function(self: PCefJsDialogHandler; browser: PCefBrowser; const origin_url: PCefString; dialog_type: TCefJsDialogType; const message_text, default_prompt_text: PCefString; callback: PCefJsDialogCallback; suppress_message: PInteger): Integer; stdcall;`
| `on_before_unload_dialog: function(self: PCefJsDialogHandler; browser: PCefBrowser; const message_text: PCefString; is_reload: Integer; callback: PCefJsDialogCallback): Integer; stdcall;`
| `on_reset_dialog_state: procedure(self: PCefJsDialogHandler; browser: PCefBrowser); stdcall;`
| `on_dialog_closed: procedure(self: PCefJsDialogHandler; browser: PCefBrowser); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_jsdialog: function(self: PCefJsDialogHandler; browser: PCefBrowser; const origin_url: PCefString; dialog_type: TCefJsDialogType; const message_text, default_prompt_text: PCefString; callback: PCefJsDialogCallback; suppress_message: PInteger): Integer; stdcall;`
This item has no description.

| `on_before_unload_dialog: function(self: PCefJsDialogHandler; browser: PCefBrowser; const message_text: PCefString; is_reload: Integer; callback: PCefJsDialogCallback): Integer; stdcall;`
This item has no description.

| `on_reset_dialog_state: procedure(self: PCefJsDialogHandler; browser: PCefBrowser); stdcall;`
This item has no description.

| `on_dialog_closed: procedure(self: PCefJsDialogHandler; browser: PCefBrowser); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.